import os, xbmc, xbmcaddon

#########################################################
### User Edit Variables #################################
#########################################################
ADDON_ID       = xbmcaddon.Addon().getAddonInfo('id')
ADDONTITLE     = 'The ZT Wizard'
EXCLUDES       = [ADDON_ID]
# Text File with build info in it.
BUILDFILE      = 'http://zt.r3trozt.tk/xmls/texts/builds.txt'
BUILDFILE2     = 'http://zt.r3trozt.tk/xmls/texts/rompacks.txt'
THIRD1NAME     = '---Click Here For Community Builds---'
THIRD1URL      = ''
THIRD2NAME     = '------------------'
THIRD2URL      = ''
THIRD3NAME     = '------------------'
THIRD3URL      = ''
# How often you would list it to check for build updates in days
# 0 being every startup of kodi
UPDATECHECK    = 0
# Text File with apk info in it.
APKFILE         = 'http://zt.r3trozt.tk/xmls/texts/apks.txt'
APKFILE2        = 'http://zt.r3trozt.tk/xmls/texts/emu.txt'
# Text File with Youtube Videos urls.  Leave as 'http://' to ignore
YOUTUBETITLE   = 'YouTube'
YOUTUBEFILE    = 'http://'
# Text File for addon installer.  Leave as 'http://' to ignore
ADDONFILE      = 'http://'
# Text File for advanced settings.  Leave as 'http://' to ignore
ADVANCEDFILE   = 'http://'

# Dont need to edit just here for icons stored locally
PATH           = xbmcaddon.Addon().getAddonInfo('path')
ART            = os.path.join(PATH, 'resources', 'art')

#########################################################
### THEMING MENU ITEMS ##################################
#########################################################
# If you want to use locally stored icons the place them in the Resources/Art/
# folder of the wizard then use os.path.join(ART, 'imagename.png')
# do not place quotes around os.path.join
# Example:  ICONMAINT     = os.path.join(ART, 'mainticon.png')
#           ICONSETTINGS  = 'http://aftermathwizard.net/repo/wizard/settings.png'
# Leave as http:// for default icon
ICONBUILDS     = 'https://cdn.iconverticons.com/files/png/5e4e69b0372616e5_256x256.png'
ICONMAINT      = 'http://dasucs.com/wp-content/uploads/2015/09/complete-online-presence-management-8abae4a1a38bd2316948d107bfae7fd5.png'
ICONAPK        = 'http://icons.iconarchive.com/icons/martz90/circle/512/android-icon.png'
ICONADDONS     = 'https://www.shareicon.net/download/2016/07/15/619609_firefox_320x320.png'
ICONYOUTUBE    = 'https://cdn3.iconfinder.com/data/icons/social-icons-5/607/YouTube_Play.png'
ICONSAVE       = 'http://pngimages.net/sites/default/files/save-png-image-26336.png'
ICONTRAKT      = 'https://pbs.twimg.com/profile_images/549808982244601856/_g2w72Ea.png'
ICONREAL       = 'https://cellardoortv.files.wordpress.com/2016/12/real-debrid-1.png?w=816'
ICONLOGIN      = 'http://www.freeiconspng.com/uploads/user-login-icon-29.png'
ICONCONTACT    = 'https://upload.wikimedia.org/wikipedia/commons/2/21/Social_media_icon.png'
ICONSETTINGS   = 'https://cdn4.iconfinder.com/data/icons/imod/512/Hardware/iEngrenages.png'
# Hide the ====== seperators 'Yes' or 'No'
HIDESPACERS    = 'No'
# Character used in seperator
SPACER         = '*'

# You can edit these however you want, just make sure that you have a %s in each of the
# THEME's so it grabs the text from the menu item
COLOR1         = 'white'
COLOR2         = 'red'
# Primary menu items   / %s is the menu item and is required
THEME1         = '[COLOR '+COLOR2+']%s[/COLOR]'
# Build Names          / %s is the menu item and is required
THEME2         = '[COLOR '+COLOR2+']%s[/COLOR]'
# Alternate items      / %s is the menu item and is required
THEME3         = '[COLOR '+COLOR1+']%s[/COLOR]'
# Current Build Header / %s is the menu item and is required
THEME4         = '[COLOR '+COLOR1+']Current Build:[/COLOR] [COLOR '+COLOR2+']%s[/COLOR]'
# Current Theme Header / %s is the menu item and is required
THEME5         = '[COLOR '+COLOR1+']Current Theme:[/COLOR] [COLOR '+COLOR2+']%s[/COLOR]'

# Message for Contact Page
# Enable 'Contact' menu item 'Yes' hide or 'No' dont hide
HIDECONTACT    = 'Yes'
# You can add \n to do line breaks
CONTACT        = '\r\n\r\nThank you for riding ZT Airlines.\r\n\r\n\r\nTwitter  -  @TeamZT_\r\nTelegram  -  @Team_ZT\r\nFacebook  -  Team ZT'
#Images used for the contact window.  http:// for default icon and fanart
CONTACTICON    = 'https://upload.wikimedia.org/wikipedia/commons/2/21/Social_media_icon.png'
CONTACTFANART  = 'http://www.misucell.com/data/out/8/IMG_250486.png'
#########################################################

#########################################################
### AUTO UPDATE #########################################
########## FOR THOSE WITH NO REPO #######################
# Enable Auto Update 'Yes' or 'No'
AUTOUPDATE     = 'No'
# Url to wizard version
WIZARDFILE     = ''
#########################################################

#########################################################
### AUTO INSTALL ########################################
########## REPO IF NOT INSTALLED ########################
# Enable Auto Install 'Yes' or 'No'
AUTOINSTALL    = 'No'
# Addon ID for the repository
REPOID         = 'repository.zt'
# Url to Addons.xml file in your repo folder(this is so we can get the latest version)
REPOADDONXML   = 'http://zt.r3trozt.tk/repo/addons.xml'
# Url to folder zip is located in
REPOZIPURL     = ''
#########################################################

#########################################################
### NOTIFICATION WINDOW##################################
#########################################################
# Enable Notification screen Yes or No
ENABLE         = 'No'
# Url to notification file
NOTIFICATION   = 'http://'
# Use either 'Text' or 'Image'
HEADERTYPE     = 'Image'
HEADERMESSAGE  = ''
# url to image if using Image 424x180
HEADERIMAGE    = 'https://'
# Background for Notification Window
BACKGROUND     = 'http://'
#########################################################
